Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest Class Referenceabstract
Inheritance diagram for Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest:
[legend]
Collaboration diagram for Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest:
[legend]

## Classes
class | MakefileJob

## Protected Member Functions
| BaseMakefileBuildTest (string testName, string cross, string[] configurations)
override JobQueue | GetJobs ()
override bool | BuildJob (Job job)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.Build.BaseBuildTest
| BaseBuildTest (string testName, string buildFileExtension, bool preserveWarnings, bool buildInMultiThread)
virtual string | ParseLog (string fileName, IEnumerable< string > lines, out string warnings)
virtual bool | CheckSkipWarning (string fileName, string line)
bool | BuildJob (Job job)
override void | Execute ()
void | AddWarning (string name, string message)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
| BaseTest (string name)
void | AddSuccess (string name, string format, params object[] args)
void | AddSuccess (string name, string message)
void | AddError (string name, string format, params object[] args)
void | AddError (string name, string message)
void | Log (string format, params object[] args)
void | Log (string message)
virtual bool | Prepare ()
virtual void | Clean ()
void | Execute ()

## Properties
string | Cross`[get, set]`
string[] | Configurations`[get]`
static string | MakePath`[get]`
Properties inherited from Zwipe.Test.Tools.Tests.Build.BaseBuildTest
string | BuildFileExtension`[get]`
bool | PreserveWarnings`[get]`
bool | MultiThreadBuild`[get]`
Properties inherited from Zwipe.Test.Tools.Tests.BaseTest
string | Name`[get]`
TestContext | Context`[get, private set]`
TestSuite | Suite`[get, private set]`

## Private Member Functions
string | BuildMakefile (string makefilePath, string configuration, string additionalParameters)
string | ParseMakeLog (IEnumerable< string > lines, out string warnings)
bool | BuildMakefile (Job job, string additionalParameters="install")

## Additional Inherited Members
Public Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
TestSuite | Perform (TestContext context)

## Constructor & Destructor Documentation

## ◆ BaseMakefileBuildTest()

Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest.BaseMakefileBuildTest | ( | string | testName,
|  | string | cross,
|  | string[] | configurations )
| protected

## Member Function Documentation

## ◆ BuildJob()

override bool Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest.BuildJob | ( | Job | job | ) |
| protected

Here is the call graph for this function:

## ◆ BuildMakefile() [1/2]

bool Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest.BuildMakefile | ( | Job | job,
|  | string | additionalParameters = "install" )
| private

Here is the call graph for this function:

## ◆ BuildMakefile() [2/2]

string Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest.BuildMakefile | ( | string | makefilePath,
|  | string | configuration,
|  | string | additionalParameters )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetJobs()

override JobQueue Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest.GetJobs | ( |  | ) |
| protected virtual

Reimplemented from Zwipe.Test.Tools.Tests.Build.BaseBuildTest.

Here is the call graph for this function:

## ◆ ParseMakeLog()

string Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest.ParseMakeLog | ( | IEnumerable< string > | lines,
|  | out string | warnings )
| private

Here is the caller graph for this function:

## Property Documentation

## ◆ Configurations

string [] Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest.Configurations
| get protected

## ◆ Cross

string Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest.Cross
| get set protected

## ◆ MakePath

string Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest.MakePath
| static get private

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Tests/Build/BaseMakefileBuildTest.cs